aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFunda Wang <fwang@mageia.org>2012-09-08 09:52:35 (GMT)
committerFunda Wang <fwang@mageia.org>2012-09-08 09:52:35 (GMT)
commit62cde8e3f1282f217b17877fa1cbc68a98a0d627 (patch)
treea1483ca14ea2bb87e4a1bdf020b2bfd5b0e77e77
parentb8ba2124bc80b5e173e2846ef16e10b545f198ab (diff)
1.158: only enable rubygems when /usr/bin/ruby is found1.158
-rw-r--r--NEWS3
-rw-r--r--configure.ac2
-rwxr-xr-xfind-provides.in2
-rwxr-xr-xfind-requires.in2
4 files changed, 6 insertions, 3 deletions
diff --git a/NEWS b/NEWS
index 9c172fb..c2650ec 100644
--- a/NEWS
+++ b/NEWS
@@ -1,3 +1,6 @@
+Version 1.158 - 8 Sep 2012, by Funda Wang
+- find-provides, find-requires: only enable rubygems when /usr/bin/ruby is found
+
Version 1.157 - 24 Aug 2012, by Thierry Vignaud
- find-provides: fix pok's perlapi auto provides
diff --git a/configure.ac b/configure.ac
index 871e244..696b870 100644
--- a/configure.ac
+++ b/configure.ac
@@ -4,7 +4,7 @@
# $Id: configure.ac 271266 2010-11-04 10:43:28Z fwang $
AC_PREREQ(2.59)
-AC_INIT(rpm-mageia-setup, 1.157, tv@mageia.org)
+AC_INIT(rpm-mageia-setup, 1.158, tv@mageia.org)
AC_CANONICAL_TARGET
AM_INIT_AUTOMAKE(1.9 -Wno-portability no-dist-gzip dist-xz)
AC_CONFIG_SRCDIR
diff --git a/find-provides.in b/find-provides.in
index df7bfb7..eedf40c 100755
--- a/find-provides.in
+++ b/find-provides.in
@@ -127,7 +127,7 @@ fi
#
# --- Ruby gems
-[ -x @RPMVENDORDIR@/rubygems.rb -a -n "$rubygemlist" ] &&
+[ -x /usr/bin/ruby -a -x @RPMVENDORDIR@/rubygems.rb -a -n "$rubygemlist" ] &&
echo $rubygemlist | tr '[:blank:]' \\n | @RPMVENDORDIR@/rubygems.rb --provides | sort -u \
&& test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/rubygems.rb failed' >&2 && exit 1
diff --git a/find-requires.in b/find-requires.in
index 4c8c2c9..4ddbf59 100755
--- a/find-requires.in
+++ b/find-requires.in
@@ -271,7 +271,7 @@ fi
#
# --- Ruby gems
-[ -x @RPMVENDORDIR@/rubygems.rb -a -n "$rubygemlist" ] &&
+[ -x /usr/bin/ruby -a -x @RPMVENDORDIR@/rubygems.rb -a -n "$rubygemlist" ] &&
echo $rubygemlist | tr '[:blank:]' \\n | @RPMVENDORDIR@/rubygems.rb --requires | sort -u \
&& test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/rubygems.rb failed' >&2 && exit 1